package com.loafle.overflow.module.infra.model;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "INFRA_HOST", schema = "public", catalog = "postgres")
public class InfraHost {
    private long id;
    private InfraOS os;
    private int ip;
    private int mac;
    private Date createDate;

    @Id
    @Column(name = "ID", nullable = false)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @ManyToOne
    @JoinColumn(name = "OS_ID", nullable = false)
    public InfraOS getOs() {
        return os;
    }

    public void setOs(InfraOS os) {
        this.os = os;
    }

    @Basic
    @Column(name = "IP", nullable = false)
    public int getIp() {
        return ip;
    }

    public void setIp(int ip) {
        this.ip = ip;
    }

    @Basic
    @Column(name = "MAC", nullable = false)
    public int getMac() {
        return mac;
    }

    public void setMac(int mac) {
        this.mac = mac;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP")
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

}
